Foreman - Bug #14326

No validation for compute resource description length
03/23/2016 05:17 AM - Adam Ruzicka

Status: Closed
Priority: Normal
Assignee: Adam Ruzicka
Category: Compute resources
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1319766 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3361
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1319766

Description of problem:

You can use description of any length for compute resource. The fact that all columns in WebUI start to collapse and entire style of
web application for that page is ruined make that issue is more severe than similar issues

Version-Release number of selected component (if applicable):
6.2 SNAP4

How reproducible:
Always

Steps to Reproduce:
1. Try to create new compute resource with a very long (more than 1000 symbols) description

Actual results:
Entity is created and WebUI transformed in a bad manner

Expected results:
“is too long (maximum is 255 characters)” message is displayed as it was before

Additional info:

Related issues:
Related to Foreman - Bug #9357: Not all description fields Foreman are the sa... Closed 02/12/2015

Associated revisions

Revision f8b3dbe2 - 03/30/2016 04:39 AM - Adam Ruzicka

Fixes #14326 - Show long compute resource descriptions correctly

History

#1 - 03/23/2016 05:18 AM - Dominic Cleal

- Related to Bug #9357 Not all description fields Foreman are the same length. Some are text fields and some are strings (255 chars) added

#2 - 03/23/2016 06:10 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Adam Ruzicka

- Pull request https://github.com/theforeman/foreman/pull/3361 added

#3 - 03/30/2016 04:39 AM - Dominic Cleal

- translation missing: en.field_release set to 136
https://bugzilla.redhat.com/show_bug.cgi?id=1319766

#4 - 03/30/2016 05:01 AM - Adam Ruzicka
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset f 2 f3a41bc9f 7 2a3.
